#include<bits/stdc++.h>
using namespace std;
typedef long long ll;
template<typename T>inline void read(T &x){
	x=0;int f=1;
	char ch=getchar();
	while((ch<'0'||ch>'9')&&ch!='-')ch=getchar();
	if(ch=='-')ch=getchar(),f=-1;
	while(ch>='0'&&ch<='9')x=x*10+(ch^48),ch=getchar();
	x*=f;
	return;
}

signed main(){
	/*i love ccf very much
	because i can't finish this problem
	and i am going to AFO.
	ccf thank you very much
	
	*/return 0;
}

